Extending Qt Creator Manual | ISettingsAspect

Extending Qt Creator Manual 4.5.2

# ISettingsAspect Class

(ProjectExplorer::ISettingsAspect)

- List of all members, including inherited members

## Public Functions

| ISettingsAspect()
ISettingsAspect * | clone() const
virtual ISettingsAspect * | create() const = 0
virtual QWidget * | createConfigWidget(QWidget *parent) = 0

## Protected Functions

virtual void | fromMap(const QVariantMap &map) = 0
virtual void | toMap(QVariantMap &map) const = 0

## Member Function Documentation

### ISettingsAspect::ISettingsAspect()

Default constructs an instance of ISettingsAspect.

### ISettingsAspect *ISettingsAspect::clone() const

### `[pure virtual]` ISettingsAspect *ISettingsAspect::create() const

### `[pure virtual]` QWidget *ISettingsAspect::createConfigWidget(QWidget *parent)

### `[pure virtual protected]` void ISettingsAspect::fromMap(const QVariantMap &map)

### `[pure virtual protected]` void ISettingsAspect::toMap(QVariantMap &map) const